#!/usr/bin/python3

import binary_c_python_api

############################################################
# Test script to run a binary using the binary_c Python
# module.
############################################################

def run_test_binary():
    m1 = 15.0  # Msun
    m2 = 14.0  # Msun
    separation = 0  # 0 = ignored, use period
    orbital_period = 4530.0  # days
    eccentricity = 0.0
    metallicity = 0.02
    max_evolution_time = 15000
    buffer = ""
    argstring = "binary_c M_1 {0:g} M_2 {1:g} separation {2:g} orbital_period {3:g} eccentricity {4:g} metallicity {5:g} max_evolution_time {6:g}  ".format(
        m1,
        m2,
        separation,
        orbital_period,
        eccentricity,
        metallicity,
        max_evolution_time,
    )

    output = binary_c_python_api.run_binary(argstring)

    print("\n\nBinary_c output:\n\n")
    print(output)


def run_help():
    out = binary_c_python_api.return_help('M_1')
    print(out)

run_help()

